aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/entry
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2019-11-07 14:13:45 +0100
committerVratko Polak <vrpolak@cisco.com>2019-11-07 14:13:45 +0100
commit0227e20f014f8ad2103000c1d91a37b6afba0fda (patch)
tree4a757897b79b15242291fae1cee28ff0d4fd1c4c /resources/libraries/bash/entry
parentd01411c3c4af6c724a3800c621804ea979818d6d (diff)
Source ansible.sh for entry scripts using cleanup
Change-Id: Iee02577ee0c054feb61edee807182c6808f235b0 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/libraries/bash/entry')
-rw-r--r--resources/libraries/bash/entry/per_patch_perf.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/resources/libraries/bash/entry/per_patch_perf.sh b/resources/libraries/bash/entry/per_patch_perf.sh
index ad0ae90085..8c9d7d2ca3 100644
--- a/resources/libraries/bash/entry/per_patch_perf.sh
+++ b/resources/libraries/bash/entry/per_patch_perf.sh
@@ -39,6 +39,8 @@ source "${BASH_FUNCTION_DIR}/common.sh" || {
exit 1
}
source "${BASH_FUNCTION_DIR}/per_patch.sh" || die "Source failed."
+# Cleanup needs ansible.
+source "${BASH_FUNCTION_DIR}/ansible.sh" || die "Source failed."
common_dirs || die
check_prerequisites || die
set_perpatch_vpp_dir || die